io.vertx.core.eventbus

## Class EventBusOptions

- java.lang.Object
- - io.vertx.core.net.NetworkOptions
  - - io.vertx.core.net.TCPSSLOptions
    - - io.vertx.core.eventbus.EventBusOptions

-     public class EventBusOptions
      extends TCPSSLOptions

  Options to configure the event bus.
  Author:
    Clement Escoffier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_ACCEPT_BACKLOG` The default accept backlog = 1024
    `static ClientAuth` | `DEFAULT_CLIENT_AUTH` Default value of whether client auth is required (SSL/TLS) = No
    `static int` | `DEFAULT_CONNECT_TIMEOUT` The default value of connect timeout = 60000 ms
    `static String` | `DEFAULT_HOST` The default host to listen on = "0.0.0.0" (meaning listen on all available interfaces).
    `static int` | `DEFAULT_PORT` The default port to listen on = 0 (meaning a random ephemeral free port will be chosen)
    `static int` | `DEFAULT_RECONNECT_ATTEMPTS` The default value for reconnect attempts = 0
    `static long` | `DEFAULT_RECONNECT_INTERVAL` The default value for reconnect interval = 1000 ms
    `static boolean` | `DEFAULT_TRUST_ALL` The default value of whether all servers (SSL/TLS) should be trusted = true

    - ### Fields inherited from class io.vertx.core.net.TCPSSLOptions

      `DEFAULT_IDLE_TIMEOUT, DEFAULT_SO_LINGER, DEFAULT_SSL, DEFAULT_SSL_ENGINE, DEFAULT_TCP_KEEP_ALIVE, DEFAULT_TCP_NO_DELAY, DEFAULT_USE_ALPN, DEFAULT_USE_POOLED_BUFFERS`

    - ### Fields inherited from class io.vertx.core.net.NetworkOptions

      `DEFAULT_LOG_ENABLED, DEFAULT_RECEIVE_BUFFER_SIZE, DEFAULT_REUSE_ADDRESS, DEFAULT_SEND_BUFFER_SIZE, DEFAULT_TRAFFIC_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventBusOptions()` Creates a new instance of `EventBusOptions` using the default configuration.
    `EventBusOptions(EventBusOptions other)` Copy constructor to create an instance of `EventBusOptions` using the values of the given object.
    `EventBusOptions(JsonObject json)` Creates a new instance of `EventBusOptions` from the JSON object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventBusOptions` | `addCrlPath(String crlPath)` Add a CRL path
    `EventBusOptions` | `addCrlValue(Buffer crlValue)` Add a CRL value
    `EventBusOptions` | `addEnabledCipherSuite(String suite)` Add an enabled cipher suite, appended to the ordered suites.
    `int` | `getAcceptBacklog()`
    `ClientAuth` | `getClientAuth()`
    `long` | `getClusterPingInterval()` Get the value of cluster ping reply interval, in ms.
    `long` | `getClusterPingReplyInterval()` Get the value of cluster ping reply interval, in ms.
    `String` | `getClusterPublicHost()` Get the public facing port to be used when clustering.
    `int` | `getClusterPublicPort()` Gets the public facing port to be used when clustering.
    `int` | `getConnectTimeout()`
    `String` | `getHost()`
    `int` | `getPort()`
    `int` | `getReconnectAttempts()`
    `long` | `getReconnectInterval()`
    `boolean` | `isClustered()`
    `boolean` | `isTrustAll()`
    `EventBusOptions` | `setAcceptBacklog(int acceptBacklog)` Set the accept back log.
    `EventBusOptions` | `setClientAuth(ClientAuth clientAuth)` Set whether client auth is required
    `EventBusOptions` | `setClustered(boolean clustered)` Sets whether or not the event bus is clustered.
    `EventBusOptions` | `setClusterPingInterval(long clusterPingInterval)` Set the value of cluster ping interval, in ms.
    `EventBusOptions` | `setClusterPingReplyInterval(long clusterPingReplyInterval)` Set the value of cluster ping reply interval, in ms.
    `EventBusOptions` | `setClusterPublicHost(String clusterPublicHost)` Set the public facing hostname to be used for clustering.
    `EventBusOptions` | `setClusterPublicPort(int clusterPublicPort)` See `setClusterPublicHost(String)` for an explanation.
    `EventBusOptions` | `setConnectTimeout(int connectTimeout)` Sets the connect timeout
    `EventBusOptions` | `setHost(String host)` Sets the host.
    `EventBusOptions` | `setIdleTimeout(int idleTimeout)` Set the idle timeout, in seconds.
    `EventBusOptions` | `setKeyCertOptions(KeyCertOptions options)` Set the key/cert options.
    `EventBusOptions` | `setKeyStoreOptions(JksOptions options)` Set the key/cert options in jks format, aka Java keystore.
    `EventBusOptions` | `setPemKeyCertOptions(PemKeyCertOptions options)` Set the key/cert store options in pem format.
    `EventBusOptions` | `setPemTrustOptions(PemTrustOptions options)` Set the trust options in pem format
    `EventBusOptions` | `setPfxKeyCertOptions(PfxOptions options)` Set the key/cert options in pfx format.
    `EventBusOptions` | `setPfxTrustOptions(PfxOptions options)` Set the trust options in pfx format
    `EventBusOptions` | `setPort(int port)` Sets the port.
    `NetworkOptions` | `setReceiveBufferSize(int receiveBufferSize)` Set the TCP receive buffer size
    `EventBusOptions` | `setReconnectAttempts(int attempts)` Sets the value of reconnect attempts.
    `EventBusOptions` | `setReconnectInterval(long interval)` Set the reconnect interval.
    `NetworkOptions` | `setReuseAddress(boolean reuseAddress)` Set the value of reuse address
    `NetworkOptions` | `setSendBufferSize(int sendBufferSize)` Set the TCP send buffer size
    `EventBusOptions` | `setSoLinger(int soLinger)` Set whether SO_linger keep alive is enabled
    `EventBusOptions` | `setSsl(boolean ssl)` Set whether SSL/TLS is enabled
    `EventBusOptions` | `setTcpKeepAlive(boolean tcpKeepAlive)` Set whether TCP keep alive is enabled
    `EventBusOptions` | `setTcpNoDelay(boolean tcpNoDelay)` Set whether TCP no delay is enabled
    `NetworkOptions` | `setTrafficClass(int trafficClass)` Set the value of traffic class
    `EventBusOptions` | `setTrustAll(boolean trustAll)` Set whether all server certificates should be trusted.
    `EventBusOptions` | `setTrustOptions(TrustOptions options)` Set the trust options.
    `EventBusOptions` | `setTrustStoreOptions(JksOptions options)` Set the trust options in jks format, aka Java truststore
    `EventBusOptions` | `setUsePooledBuffers(boolean usePooledBuffers)` Set whether Netty pooled buffers are enabled
    `JsonObject` | `toJson()` Builds a JSON object representing the current `EventBusOptions`.

    - ### Methods inherited from class io.vertx.core.net.TCPSSLOptions

      `addEnabledSecureTransportProtocol, equals, getCrlPaths, getCrlValues, getEnabledCipherSuites, getEnabledSecureTransportProtocols, getIdleTimeout, getJdkSslEngineOptions, getKeyCertOptions, getKeyStoreOptions, getOpenSslEngineOptions, getPemKeyCertOptions, getPemTrustOptions, getPfxKeyCertOptions, getPfxTrustOptions, getSoLinger, getSslEngineOptions, getTrustOptions, getTrustStoreOptions, hashCode, isSsl, isTcpKeepAlive, isTcpNoDelay, isUseAlpn, isUsePooledBuffers, setJdkSslEngineOptions, setLogActivity, setOpenSslEngineOptions, setSslEngineOptions, setUseAlpn`

    - ### Methods inherited from class io.vertx.core.net.NetworkOptions

      `getLogActivity, getReceiveBufferSize, getSendBufferSize, getTrafficClass, isReuseAddress`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      The default port to listen on = 0 (meaning a random ephemeral free port will be chosen)
      See Also:
        Constant Field Values

    - #### DEFAULT_HOST

          public static final String DEFAULT_HOST

      The default host to listen on = "0.0.0.0" (meaning listen on all available interfaces).
      See Also:
        Constant Field Values

    - #### DEFAULT_ACCEPT_BACKLOG

          public static final int DEFAULT_ACCEPT_BACKLOG

      The default accept backlog = 1024
      See Also:
        Constant Field Values

    - #### DEFAULT_CLIENT_AUTH

          public static final ClientAuth DEFAULT_CLIENT_AUTH

      Default value of whether client auth is required (SSL/TLS) = No

    - #### DEFAULT_RECONNECT_ATTEMPTS

          public static final int DEFAULT_RECONNECT_ATTEMPTS

      The default value for reconnect attempts = 0
      See Also:
        Constant Field Values

    - #### DEFAULT_RECONNECT_INTERVAL

          public static final long DEFAULT_RECONNECT_INTERVAL

      The default value for reconnect interval = 1000 ms
      See Also:
        Constant Field Values

    - #### DEFAULT_CONNECT_TIMEOUT

          public static final int DEFAULT_CONNECT_TIMEOUT

      The default value of connect timeout = 60000 ms
      See Also:
        Constant Field Values

    - #### DEFAULT_TRUST_ALL

          public static final boolean DEFAULT_TRUST_ALL

      The default value of whether all servers (SSL/TLS) should be trusted = true
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EventBusOptions

          public EventBusOptions()

      Creates a new instance of `EventBusOptions` using the default configuration.

    - #### EventBusOptions

          public EventBusOptions(EventBusOptions other)

      Copy constructor to create an instance of `EventBusOptions` using the values of the given object.
      Parameters:
        `other` - the other `EventBusOptions`

    - #### EventBusOptions

          public EventBusOptions(JsonObject json)

      Creates a new instance of `EventBusOptions` from the JSON object. This JSOn object has (generally) be generated using `toJson()`.
      Parameters:
        `json` - the json object

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Builds a JSON object representing the current `EventBusOptions`.
      Overrides:
        `toJson` in class `TCPSSLOptions`
      Returns:
        the JSON representation

    - #### getClientAuth

          public ClientAuth getClientAuth()

      Returns:
        the configure client authentication requirement
      See Also:
        `NetServerOptions.getClientAuth()`

    - #### setClientAuth

          public EventBusOptions setClientAuth(ClientAuth clientAuth)

      Set whether client auth is required
      Parameters:
        `clientAuth` - One of "NONE, REQUEST, REQUIRED". If it's set to "REQUIRED" then server will require the SSL cert to be presented otherwise it won't accept the request. If it's set to "REQUEST" then it won't mandate the certificate to be presented, basically make it optional.
      Returns:
        a reference to this, so the API can be used fluently
      See Also:
        `NetServerOptions.setClientAuth(ClientAuth)`

    - #### getAcceptBacklog

          public int getAcceptBacklog()

      Returns:
        the value of accept backlog.
      See Also:
        `NetServerOptions.getAcceptBacklog()`

    - #### setAcceptBacklog

          public EventBusOptions setAcceptBacklog(int acceptBacklog)

      Set the accept back log.
      Parameters:
        `acceptBacklog` - accept backlog
      Returns:
        a reference to this, so the API can be used fluently
      See Also:
        `NetServerOptions.setAcceptBacklog(int)`

    - #### getHost

          public String getHost()

      Returns:
        the host, which can be configured from the `VertxOptions.setClusterHost(String)`, or using the `--cluster-host` command line option.
      See Also:
        `NetServerOptions.getHost()`

    - #### setHost

          public EventBusOptions setHost(String host)

      Sets the host.
      Parameters:
        `host` - the host
      Returns:
        a reference to this, so the API can be used fluently
      See Also:
        `NetServerOptions.setHost(String)`

    - #### getPort

          public int getPort()

      Returns:
        the port, which can be configured from the `VertxOptions.setClusterPort(int)`, or using the `--cluster-port` command line option.
      See Also:
        `NetServerOptions.getPort()`

    - #### setPort

          public EventBusOptions setPort(int port)

      Sets the port.
      Parameters:
        `port` - the port
      Returns:
        a reference to this, so the API can be used fluently
      See Also:
        `NetServerOptions.setPort(int)`

    - #### getReconnectAttempts

          public int getReconnectAttempts()

      Returns:
        the value of reconnect attempts
      See Also:
        `NetClientOptions.getReconnectAttempts()`

    - #### setReconnectAttempts

          public EventBusOptions setReconnectAttempts(int attempts)

      Sets the value of reconnect attempts.
      Parameters:
        `attempts` - the maximum number of reconnect attempts
      Returns:
        a reference to this, so the API can be used fluently
      See Also:
        `NetClientOptions.setReconnectAttempts(int)`

    - #### getReconnectInterval

          public long getReconnectInterval()

      Returns:
        the value of reconnect interval
      See Also:
        `NetClientOptions.getReconnectInterval()`

    - #### setReconnectInterval

          public EventBusOptions setReconnectInterval(long interval)

      Set the reconnect interval.
      Parameters:
        `interval` - the reconnect interval in ms
      Returns:
        a reference to this, so the API can be used fluently
      See Also:
        `NetClientOptions.setReconnectInterval(long)`

    - #### addCrlPath

          public EventBusOptions addCrlPath(String crlPath)
                                     throws NullPointerException

      Description copied from class: `TCPSSLOptions`
      Add a CRL path
      Overrides:
        `addCrlPath` in class `TCPSSLOptions`
      Parameters:
        `crlPath` - the path
      Returns:
        a reference to this, so the API can be used fluently
      Throws:
        `NullPointerException`

    - #### addCrlValue

          public EventBusOptions addCrlValue(Buffer crlValue)
                                      throws NullPointerException

      Description copied from class: `TCPSSLOptions`
      Add a CRL value
      Overrides:
        `addCrlValue` in class `TCPSSLOptions`
      Parameters:
        `crlValue` - the value
      Returns:
        a reference to this, so the API can be used fluently
      Throws:
        `NullPointerException`

    - #### addEnabledCipherSuite

          public EventBusOptions addEnabledCipherSuite(String suite)

      Description copied from class: `TCPSSLOptions`
      Add an enabled cipher suite, appended to the ordered suites.
      Overrides:
        `addEnabledCipherSuite` in class `TCPSSLOptions`
      Parameters:
        `suite` - the suite
      Returns:
        a reference to this, so the API can be used fluently

    - #### setIdleTimeout

          public EventBusOptions setIdleTimeout(int idleTimeout)

      Description copied from class: `TCPSSLOptions`
      Set the idle timeout, in seconds. zero means don't timeout. This determines if a connection will timeout and be closed if no data is received within the timeout.
      Overrides:
        `setIdleTimeout` in class `TCPSSLOptions`
      Parameters:
        `idleTimeout` - the timeout, in seconds
      Returns:
        a reference to this, so the API can be used fluently

    - #### setKeyCertOptions

          public EventBusOptions setKeyCertOptions(KeyCertOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert options.
      Overrides:
        `setKeyCertOptions` in class `TCPSSLOptions`
      Parameters:
        `options` - the key store options
      Returns:
        a reference to this, so the API can be used fluently

    - #### setKeyStoreOptions

          public EventBusOptions setKeyStoreOptions(JksOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert options in jks format, aka Java keystore.
      Overrides:
        `setKeyStoreOptions` in class `TCPSSLOptions`
      Parameters:
        `options` - the key store in jks format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPemKeyCertOptions

          public EventBusOptions setPemKeyCertOptions(PemKeyCertOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert store options in pem format.
      Overrides:
        `setPemKeyCertOptions` in class `TCPSSLOptions`
      Parameters:
        `options` - the options in pem format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPemTrustOptions

          public EventBusOptions setPemTrustOptions(PemTrustOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options in pem format
      Overrides:
        `setPemTrustOptions` in class `TCPSSLOptions`
      Parameters:
        `options` - the trust options in pem format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPfxKeyCertOptions

          public EventBusOptions setPfxKeyCertOptions(PfxOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert options in pfx format.
      Overrides:
        `setPfxKeyCertOptions` in class `TCPSSLOptions`
      Parameters:
        `options` - the key cert options in pfx format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPfxTrustOptions

          public EventBusOptions setPfxTrustOptions(PfxOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options in pfx format
      Overrides:
        `setPfxTrustOptions` in class `TCPSSLOptions`
      Parameters:
        `options` - the trust options in pfx format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSoLinger

          public EventBusOptions setSoLinger(int soLinger)

      Description copied from class: `TCPSSLOptions`
      Set whether SO_linger keep alive is enabled
      Overrides:
        `setSoLinger` in class `TCPSSLOptions`
      Parameters:
        `soLinger` - true if SO_linger is enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSsl

          public EventBusOptions setSsl(boolean ssl)

      Description copied from class: `TCPSSLOptions`
      Set whether SSL/TLS is enabled
      Overrides:
        `setSsl` in class `TCPSSLOptions`
      Parameters:
        `ssl` - true if enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTcpKeepAlive

          public EventBusOptions setTcpKeepAlive(boolean tcpKeepAlive)

      Description copied from class: `TCPSSLOptions`
      Set whether TCP keep alive is enabled
      Overrides:
        `setTcpKeepAlive` in class `TCPSSLOptions`
      Parameters:
        `tcpKeepAlive` - true if TCP keep alive is enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTcpNoDelay

          public EventBusOptions setTcpNoDelay(boolean tcpNoDelay)

      Description copied from class: `TCPSSLOptions`
      Set whether TCP no delay is enabled
      Overrides:
        `setTcpNoDelay` in class `TCPSSLOptions`
      Parameters:
        `tcpNoDelay` - true if TCP no delay is enabled (Nagle disabled)
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrustOptions

          public EventBusOptions setTrustOptions(TrustOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options.
      Overrides:
        `setTrustOptions` in class `TCPSSLOptions`
      Parameters:
        `options` - the trust options
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrustStoreOptions

          public EventBusOptions setTrustStoreOptions(JksOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options in jks format, aka Java truststore
      Overrides:
        `setTrustStoreOptions` in class `TCPSSLOptions`
      Parameters:
        `options` - the trust options in jks format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setUsePooledBuffers

          public EventBusOptions setUsePooledBuffers(boolean usePooledBuffers)

      Description copied from class: `TCPSSLOptions`
      Set whether Netty pooled buffers are enabled
      Overrides:
        `setUsePooledBuffers` in class `TCPSSLOptions`
      Parameters:
        `usePooledBuffers` - true if pooled buffers enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReceiveBufferSize

          public NetworkOptions setReceiveBufferSize(int receiveBufferSize)

      Description copied from class: `NetworkOptions`
      Set the TCP receive buffer size
      Overrides:
        `setReceiveBufferSize` in class `NetworkOptions`
      Parameters:
        `receiveBufferSize` - the buffers size, in bytes
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReuseAddress

          public NetworkOptions setReuseAddress(boolean reuseAddress)

      Description copied from class: `NetworkOptions`
      Set the value of reuse address
      Overrides:
        `setReuseAddress` in class `NetworkOptions`
      Parameters:
        `reuseAddress` - the value of reuse address
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSendBufferSize

          public NetworkOptions setSendBufferSize(int sendBufferSize)

      Description copied from class: `NetworkOptions`
      Set the TCP send buffer size
      Overrides:
        `setSendBufferSize` in class `NetworkOptions`
      Parameters:
        `sendBufferSize` - the buffers size, in bytes
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrafficClass

          public NetworkOptions setTrafficClass(int trafficClass)

      Description copied from class: `NetworkOptions`
      Set the value of traffic class
      Overrides:
        `setTrafficClass` in class `NetworkOptions`
      Parameters:
        `trafficClass` - the value of traffic class
      Returns:
        a reference to this, so the API can be used fluently

    - #### isClustered

          public boolean isClustered()

      Returns:
        whether or not the event bus is clustered. This can be configured from the `VertxOptions.setClustered(boolean)` method or from the `--cluster` option from the command line.

    - #### setClustered

          public EventBusOptions setClustered(boolean clustered)

      Sets whether or not the event bus is clustered.
      Parameters:
        `clustered` - `true` to start the event bus as a clustered event bus.
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrustAll

          public EventBusOptions setTrustAll(boolean trustAll)

      Set whether all server certificates should be trusted.
      Parameters:
        `trustAll` - true if all should be trusted
      Returns:
        a reference to this, so the API can be used fluently
      See Also:
        `NetClientOptions.setTrustAll(boolean)`

    - #### isTrustAll

          public boolean isTrustAll()

      Returns:
        true if all server certificates should be trusted
      See Also:
        `ClientOptionsBase.isTrustAll()`

    - #### getConnectTimeout

          public int getConnectTimeout()

      Returns:
        the value of connect timeout
      See Also:
        `ClientOptionsBase.getConnectTimeout()`

    - #### setConnectTimeout

          public EventBusOptions setConnectTimeout(int connectTimeout)

      Sets the connect timeout
      Parameters:
        `connectTimeout` - connect timeout, in ms
      Returns:
        a reference to this, so the API can be used fluently
      See Also:
        `NetClientOptions.setConnectTimeout(int)`

    - #### getClusterPingInterval

          public long getClusterPingInterval()

      Get the value of cluster ping reply interval, in ms. After sending a ping, if a pong is not received in this time, the node will be considered dead.

      The value can be configured from `VertxOptions.setClusterPingInterval(long)`.

      Returns:
        the value of cluster ping reply interval

    - #### setClusterPingInterval

          public EventBusOptions setClusterPingInterval(long clusterPingInterval)

      Set the value of cluster ping interval, in ms.
      Parameters:
        `clusterPingInterval` - The value of cluster ping interval, in ms.
      Returns:
        a reference to this, so the API can be used fluently

    - #### getClusterPingReplyInterval

          public long getClusterPingReplyInterval()

      Get the value of cluster ping reply interval, in ms. After sending a ping, if a pong is not received in this time, the node will be considered dead.

      The value can be configured from `VertxOptions.setClusterPingReplyInterval(long)`}.

      Returns:
        the value of cluster ping reply interval

    - #### setClusterPingReplyInterval

          public EventBusOptions setClusterPingReplyInterval(long clusterPingReplyInterval)

      Set the value of cluster ping reply interval, in ms.
      Parameters:
        `clusterPingReplyInterval` - The value of cluster ping reply interval, in ms.
      Returns:
        a reference to this, so the API can be used fluently

    - #### getClusterPublicHost

          public String getClusterPublicHost()

      Get the public facing port to be used when clustering.

      It can be configured using `VertxOptions.setClusterPublicHost(String)`

      Returns:
        the public facing port

    - #### setClusterPublicHost

          public EventBusOptions setClusterPublicHost(String clusterPublicHost)

      Set the public facing hostname to be used for clustering. Sometimes, e.g. when running on certain clouds, the local address the server listens on for clustering is not the same address that other nodes connect to it at, as the OS / cloud infrastructure does some kind of proxying. If this is the case you can specify a public hostname which is different from the hostname the server listens at.

      The default value is null which means use the same as the cluster hostname.

      Parameters:
        `clusterPublicHost` - the public host name to use
      Returns:
        a reference to this, so the API can be used fluently

    - #### getClusterPublicPort

          public int getClusterPublicPort()

      Gets the public facing port to be used when clustering.

      This can be configured from `VertxOptions.setClusterPublicPort(int)`.

      Returns:
        the public facing port

    - #### setClusterPublicPort

          public EventBusOptions setClusterPublicPort(int clusterPublicPort)

      See `setClusterPublicHost(String)` for an explanation.
      Parameters:
        `clusterPublicPort` - the public port to use
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2017. All rights reserved.